diff --git a/src/backend/storage/lmgr/s_lock.c b/src/backend/storage/lmgr/s_lock.c
new file mode 100644
index bc8d89f..3397c63
*** a/src/backend/storage/lmgr/s_lock.c
--- b/src/backend/storage/lmgr/s_lock.c
*************** s_lock(volatile slock_t *lock, const cha
*** 111,116 ****
--- 111,118 ----
  			if (cur_delay == 0) /* first time to delay? */
  				cur_delay = MIN_DELAY_MSEC;
  
+ 			elog(LOG,"JJ spin delay from file %s line %d delay %d, pointer %p", file, line, cur_delay, lock);
+ 
  			pg_usleep(cur_delay * 1000L);
  
  #if defined(S_LOCK_TEST)
